Class | GraphViz::Node
In: | lib/graphviz/node.rb
Parent: | Object

### Methods

- << > >> [] []= each_attribut id index name new root_graph set

### Included Modules

Constants

### Public Class methods

new( xNodeName, oGParrent )

Create a new node

In:

- xNodeName : ID of the node
- oGParrent : Graph

### Public Instance methods

-( oNode )

Alias for #<<

<<( oNode )

Create an edge between the current node and the node `oNode`

>( oNode )

Alias for #<<

>>( oNode )

Alias for #<<

[]( xAttrName )

Get the value of the node attribut `xAttrName`

[]=( xAttrName, xAttrValue )

Set value `xAttrValue` to the node attribut `xAttrName`

each_attribut(global = true) {|k,v| ...}

Calls block once for each attribut of the node, passing the name and value to the block as a two-element array.

If global is set to false, the block does not receive the attributs set globally

id()

Get the node ID

index()

Return the node index

name()

Get the node ID

root_graph()

Return the root graph

set( ) {|self| ...}

Set node attributs

Example :

      n = graph.add_node( ... )
      ...
      n.set { |_n|
        _n.color = "blue"
        _n.fontcolor = "red"
      }

[Validate]